commit: 6f74835c7d6efb9c01186f977c0aaa03e6c74c30
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 6 07:56:27 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jul 6 07:56:27 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f74835c
dev-libs/protobuf-c: Bump to version 1.3.3
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
dev-libs/protobuf-c/Manifest | 1 +
dev-libs/protobuf-c/protobuf-c-1.3.3.ebuild | 43 +++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-libs/protobuf-c/Manifest b/dev-libs/protobuf-c/Manifest
index b835ebf02b7..f68a10ab715 100644
--- a/dev-libs/protobuf-c/Manifest
+++ b/dev-libs/protobuf-c/Manifest
@@ -1 +1,2 @@
DIST protobuf-c-1.3.2.tar.gz 500100 BLAKE2B
b8bcd4ad6f9ddc05f28526f7cc58778b21a34fc18c7c7aa2a5bb45ae7fdc7c5d8957f989fe1bbfe353214ca87b02afed8cf0ad43c0f0e39f7e13059a5dfd6b7d
SHA512
d94d2c6f11b3e482fd3d1b8cef5b2d896ad37a679068f393d29916311deadc5b6b86f946b046d7ee49260b0223e3128e052dc76324b4a8cd6ea184d566ad9aa6
+DIST protobuf-c-1.3.3.tar.gz 500505 BLAKE2B
6f00eac847f5287cdea5afaea5be05d660eda10b30a14bbab89331ef134f93b8a77d3f6546cab246447494b0283b32218f794c56a7d081906c49668631b14505
SHA512
85308348929487e3a89158c6078dab39cee0b39a0611a4d5ba73d20520e41d96915e42a0d6060ebd3eb7d922c82444f5ca000ea4f8791b37734485cbb7e283b1
diff --git a/dev-libs/protobuf-c/protobuf-c-1.3.3.ebuild
b/dev-libs/protobuf-c/protobuf-c-1.3.3.ebuild
new file mode 100644
index 00000000000..bc1e64a91cf
--- /dev/null
+++ b/dev-libs/protobuf-c/protobuf-c-1.3.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+MY_PV="${PV/_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Protocol Buffers implementation in C"
+HOMEPAGE="https://github.com/protobuf-c/protobuf-c"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+
+LICENSE="BSD-2"
+# Subslot == SONAME version
+SLOT="0/1.0.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86"
+IUSE="static-libs test"
+RESTRICT="!test? ( test )"
+
+BDEPEND=">=dev-libs/protobuf-3:0
+ virtual/pkgconfig"
+DEPEND=">=dev-libs/protobuf-3:0=[${MULTILIB_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+ if ! use test; then
+ eapply "${FILESDIR}"/${PN}-1.3.0-no-build-tests.patch
+ fi
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}